Subject: Re: [PATCH] gitk: use themed tk widgets

From: Pat Thoyts <[email-masked]>
Date: Fri, 17 Apr 2009 19:46:24 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Fri, 17 Apr 2009, Pat Thoyts wrote:
> 
>>   With Tk 8.5+ use the themed widgets to improve the appearence
>>   on Windows and MacOSX. On X11 less difference is apparent but
>>   users can select alternate themes by setting *TkTheme in the
>>   resource database (eg: *TkTheme: clam)
>>
>>   With Tk 8.6 there is a built-in font selection dialog and this
>>   patch will make use of that when available as on Windows and
>>   MacOSX it calls the native font selection dialog.
> 
> I had several conflicts applying your patch, and I do not have object 
> a346bd5 here (not even fetching from Paul's repository), but I fixed them 
> all up.  (In function setoptions(), you seemed to remove a part asking 
> about the windowingsystem being "aqua", but my gitk did not have that.)
> 
> The end result can be marveled at in 4msysgit's 'ttk' branch.
> 
> I did not have time to go through your changes, though.
> 
> But can I place another wish with you?  It all looks nicer now, except the 
> text which is not anti-aliased...  Any chance to fix that?

Anti-aliased text is a feature of Tk 8.5 plus the support in your server
and the chosen fonts. Not much to be done about that except choose a
nice font. On Windows Tahoma and Consolas should look fine.

I suspect the reason you have conflicts is the patch is generated
against the gitk repository and not the git repository. There are some
commits in gitk that have not been merged to git yet and my patch lives
on top of those.

Pat Thoyts